aim4.driver.coordinator

## Class V2ICoordinator.ReservationParameter

- java.lang.Object
- - aim4.driver.coordinator.V2ICoordinator.ReservationParameter

- Enclosing class:
    V2ICoordinator

      public static class V2ICoordinator.ReservationParameter
      extends Object

  Postprocessing the reservation parameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `V2ICoordinator.ReservationParameter(Confirm msg)` Create a reservation parameter object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Queue<double[]>` | `getAccelerationProfile()` Get the list of acceleration/duration pairs that describe the required velocity profile of the driver agent's Vehicle as it crosses the intersection in accordance with its current reservation.
    `double` | `getACZDistance()` Get the distance past the intersection which is controlled by the Admission Control Zone after the intersection for the reservation this driver agent is holding.
    `Lane` | `getArrivalLane()` Get the Lane in which this driver agent's Vehicle should arrive to comply with the reservation this driver agent is holding.
    `double` | `getArrivalTime()` Get the arrival time of the reservation this driver agent is holding.
    `double` | `getArrivalVelocity()` Get the arrival velocity, in meters per second, of the reservation this driver agent is holding.
    `Lane` | `getDepartureLane()` Get the Lane in which this driver agent's Vehicle should arrive to comply with the reservation this driver agent is holding.
    `double` | `getEarlyError()` Get the maximum amount of time, in seconds, before the official arrival time that the driver agent's vehicle can arrive at the intersection, for the current reservation the driver agent is holding.
    `double` | `getLateError()` Get the maximum amount of time, in seconds, after the official arrival time that the driver agent's vehicle can arrive at the intersection, for the current reservation the driver agent is holding.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V2ICoordinator.ReservationParameter

          public V2ICoordinator.ReservationParameter(Confirm msg)

      Create a reservation parameter object

  - ### Method Detail

    - #### getArrivalLane

          public Lane getArrivalLane()

      Get the Lane in which this driver agent's Vehicle should arrive to comply with the reservation this driver agent is holding. If the driver agent is not holding a reservation, the return value is not defined.
      Returns:
        the arrival lane for the reservation this driver agent is holding

    - #### getDepartureLane

          public Lane getDepartureLane()

      Get the Lane in which this driver agent's Vehicle should arrive to comply with the reservation this driver agent is holding. If the driver agent is not holding a reservation, the return value is not defined.
      Returns:
        the departure Lane for the reservation this driver agent is holding

    - #### getArrivalTime

          public double getArrivalTime()

      Get the arrival time of the reservation this driver agent is holding. If the driver agent is not holding a reservation, the return value is not defined.
      Returns:
        the arrival time of the reservation this driver agent is holding

    - #### getEarlyError

          public double getEarlyError()

      Get the maximum amount of time, in seconds, before the official arrival time that the driver agent's vehicle can arrive at the intersection, for the current reservation the driver agent is holding. If the driver agent is not holding a reservation, the return value is undefined.
      Returns:
        the maximum early error for the driver agent's current reservation

    - #### getLateError

          public double getLateError()

      Get the maximum amount of time, in seconds, after the official arrival time that the driver agent's vehicle can arrive at the intersection, for the current reservation the driver agent is holding. If the driver agent is not holding a reservation, the return value is undefined.
      Returns:
        the maximum late error for the driver agent's current reservation

    - #### getArrivalVelocity

          public double getArrivalVelocity()

      Get the arrival velocity, in meters per second, of the reservation this driver agent is holding. If the driver agent is not holding a reservation, the return value is not defined.
      Returns:
        the arrival velocity of the reservation this driver agent is holding

    - #### getACZDistance

          public double getACZDistance()

      Get the distance past the intersection which is controlled by the Admission Control Zone after the intersection for the reservation this driver agent is holding.
      Returns:
        the distance of the Admission Control Zone after the intersection for the reservation this driver agent is holding

    - #### getAccelerationProfile

          public Queue<double[]> getAccelerationProfile()

      Get the list of acceleration/duration pairs that describe the required velocity profile of the driver agent's Vehicle as it crosses the intersection in accordance with its current reservation. If the driver agent is not holding a reservation, the return value is not defined.
      Returns:
        the acceleration profile of the reservation this driver agent is currently holding

Copyright © 2013. All rights reserved.